## org.apache.commons.math.genetics
Interface StoppingCondition

All Known Implementing Classes:
  FixedGenerationCount

    public interface StoppingCondition

Algorithm used to determine when to stop evolution.

Since:
  2.0
Version:
  $Revision: 811685 $ $Date: 2009-09-05 13:36:48 -0400 (Sat, 05 Sep 2009) $

Method Summary
`boolean` `isSatisfied(Population population)` Determine whether or not the given population satisfies the stopping condition.

Method Detail

### isSatisfied

    boolean isSatisfied(Population population)

  Determine whether or not the given population satisfies the stopping condition.

  Parameters:
    `population` - the population to test.
  Returns:
    `true` if this stopping condition is met by the given population. `false` otherwise.

Copyright (c) 2003-2011 Apache Software Foundation